GET /katello/api/activation_keys
List activation keys

GET /katello/api/environments/:environment_id/activation_keys

GET /katello/api/organizations/:organization_id/activation_keys

Examples

GET /katello/api/organizations/114267492/activation_keys
204

Params

Param name Description
organization_id
required

organization identifier

Validations:

  • Must be a number.

environment_id
optional

environment identifier

Validations:

  • Must be a number.

content_view_id
optional

content view identifier

Validations:

  • Must be a number.

name
optional

activation key name to filter by

Validations:

  • String

content_view_environments
optional

Comma-separated list of content view environment labels associated with the activation key, in the format of ‘lifecycle_environment_label/content_view_label’. Ignored if content_view_environment_ids is specified.

Validations:

  • Must be an array of any type

content_view_environment_ids
optional

Array of content view environment ids associated with the activation key.

Validations:

  • Must be an array of any type

search
optional

Search string

Validations:

  • String

page
optional

Page number, starting at 1

Validations:

  • Must be a number.

per_page
optional

Number of results per page to return

Validations:

  • Must be a number.

order
optional

Sort field and order, eg. ‘id DESC’

Validations:

  • String

full_result
optional

Whether or not to show all results

Validations:

  • Must be one of: true, false, 1, 0.

sort_by
optional

Field to sort the results on

Validations:

  • String

sort_order
optional

How to order the sorted results (e.g. ASC for ascending)

Validations:

  • String

Search fields

Field name Type Possible values
content_view string
content_view_id integer
description text
environment string
lifecycle_environment_id integer
name string
organization_id integer
role string
usage string

POST /katello/api/activation_keys
Create an activation key

Examples

POST /katello/api/activation_keys
{
  "organization_id": 114267492,
  "content_view_environments": [
    "foo"
  ],
  "activation_key": {
    "organization_id": 114267492,
    "content_view_environments": [
      "foo"
    ]
  }
}
422
{
  "message": "No content view environments found with names: foo",
  "errors": [
    "No content view environments found with names: foo"
  ]
}

Params

Param name Description
name
required

name

Validations:

  • String

organization_id
required

organization identifier

Validations:

  • Must be a number.

description
optional

description

Validations:

  • String

max_hosts
optional

maximum number of registered content hosts

Validations:

  • Must be a number.

unlimited_hosts
optional

can the activation key have unlimited hosts

Validations:

  • Must be one of: true, false, 1, 0.

release_version
optional

content release version

Validations:

  • String

service_level
optional

service level

Validations:

  • String

purpose_usage
optional

Sets the system purpose usage

Validations:

  • String

purpose_role
optional

Sets the system purpose usage

Validations:

  • String

content_view_environments
optional

Comma-separated list of content view environment labels to be associated with the activation key, in the format of ‘lifecycle_environment_label/content_view_label’. Ignored if content_view_environment_ids is specified.

Validations:

  • Must be an array of any type

content_view_environment_ids
optional

Array of content view environment ids to be associated with the activation key.

Validations:

  • Must be an array of any type


PUT /katello/api/activation_keys/:id
Update an activation key

Examples

PUT /katello/api/activation_keys/568942081
{
  "organization_id": 114267492,
  "activation_key": {
    "name": "New Name"
  }
}
204

Params

Param name Description
organization_id
required

organization identifier

Validations:

  • Must be a number.

description
optional

description

Validations:

  • String

max_hosts
optional

maximum number of registered content hosts

Validations:

  • Must be a number.

unlimited_hosts
optional

can the activation key have unlimited hosts

Validations:

  • Must be one of: true, false, 1, 0.

release_version
optional

content release version

Validations:

  • String

service_level
optional

service level

Validations:

  • String

purpose_usage
optional

Sets the system purpose usage

Validations:

  • String

purpose_role
optional

Sets the system purpose usage

Validations:

  • String

content_view_environments
optional

Comma-separated list of content view environment labels to be associated with the activation key, in the format of ‘lifecycle_environment_label/content_view_label’. Ignored if content_view_environment_ids is specified.

Validations:

  • Must be an array of any type

content_view_environment_ids
optional

Array of content view environment ids to be associated with the activation key.

Validations:

  • Must be an array of any type

id
required

ID of the activation key

Validations:

  • Must be a number.

name
optional

name

Validations:

  • String


DELETE /katello/api/activation_keys/:id
Destroy an activation key

Examples

DELETE /katello/api/activation_keys/568942081
{
  "organization_id": 114267492,
  "activation_key": {
    "organization_id": 114267492
  }
}
204

Params

Param name Description
id
required

ID of the activation key

Validations:

  • Must be a number.


GET /katello/api/activation_keys/:id
Show an activation key

Examples

GET /katello/api/activation_keys/568942081
204

Params

Param name Description
id
required

ID of the activation key

Validations:

  • Must be a number.

organization_id
optional

organization identifier

Validations:

  • Must be a number.

show_hosts
optional

Show hosts associated to an activation key

Validations:

  • Must be one of: true, false, 1, 0.


POST /katello/api/activation_keys/:id/copy
Copy an activation key

Examples

POST /katello/api/activation_keys/568942081/copy
{
  "new_name": "new name",
  "activation_key": {}
}
204

Params

Param name Description
new_name
required

Name of new activation key

Validations:

  • String

id
required

ID of the activation key

Validations:

  • Must be a number.

organization_id
optional

organization identifier

Validations:

  • Must be a number.


GET /katello/api/activation_keys/:id/host_collections/available
List host collections the activation key does not belong to

Params

Param name Description
search
optional

Search string

Validations:

  • String

page
optional

Page number, starting at 1

Validations:

  • Must be a number.

per_page
optional

Number of results per page to return

Validations:

  • Must be a number.

order
optional

Sort field and order, eg. ‘id DESC’

Validations:

  • String

full_result
optional

Whether or not to show all results

Validations:

  • Must be one of: true, false, 1, 0.

sort_by
optional

Field to sort the results on

Validations:

  • String

sort_order
optional

How to order the sorted results (e.g. ASC for ascending)

Validations:

  • String

name
optional

host collection name to filter by

Validations:

  • String


GET /katello/api/activation_keys/:id/releases
Show release versions available for an activation key

Params

Param name Description
id
required

ID of the activation key

Validations:

  • String


POST /katello/api/activation_keys/:id/host_collections

Params

Param name Description
id
required

ID of the activation key

Validations:

  • Must be a number.

host_collection_ids
required

List of host collection IDs to associate with activation key

Validations:

  • Must be an array of any type


PUT /katello/api/activation_keys/:id/host_collections

Examples

PUT /katello/api/activation_keys/568942081/host_collections
{
  "organization_id": 114267492,
  "host_collection_ids": [],
  "activation_key": {
    "organization_id": 114267492,
    "host_collection_ids": []
  }
}
200
{
  "service_level": null,
  "content_overrides": [],
  "id": 568942081,
  "name": "Simple Activation Key",
  "description": "A simple activation key.",
  "unlimited_hosts": true,
  "content_view_environment_labels": "library_default_view_library",
  "usage_count": 0,
  "user_id": null,
  "max_hosts": null,
  "release_version": null,
  "purpose_usage": null,
  "purpose_role": null,
  "organization_id": 114267492,
  "organization": {
    "name": "Empty Organization",
    "label": "Empty_Organization",
    "id": 114267492
  },
  "created_at": "2026-11-12 11:01:00 UTC",
  "updated_at": "2026-11-12 11:01:00 UTC",
  "content_view_environments": [
    {
      "content_view": {
        "id": 30237652,
        "name": "ACME Default ContentView",
        "label": "org_default_label",
        "composite": false,
        "rolling": false,
        "content_view_version": "1.0",
        "content_view_version_id": 840492357,
        "content_view_version_latest": true,
        "content_view_default": true,
        "content_view_environment_id": 361865081
      },
      "lifecycle_environment": {
        "id": 562075838,
        "name": "Library",
        "label": "library_label",
        "lifecycle_environment_library": true
      },
      "label": "library_default_view_library"
    }
  ],
  "host_collections": [],
  "multi_content_view_environment": false,
  "permissions": {
    "view_activation_keys": true,
    "edit_activation_keys": true,
    "destroy_activation_keys": true
  }
}

Params

Param name Description
id
required

ID of the activation key

Validations:

  • Must be a number.

host_collection_ids
required

List of host collection IDs to disassociate from the activation key

Validations:

  • Must be an array of any type


PUT /katello/api/activation_keys/:id/content_override
Override content for activation_key

Examples

PUT /katello/api/activation_keys/568942081/content_override
{
  "content_overrides": [
    {
      "content_label": "fedora",
      "name": "enabled",
      "value": true
    },
    {
      "content_label": "fedora",
      "value": 0
    },
    {
      "content_label": "fedora",
      "name": "mirrorlist",
      "remove": true
    }
  ],
  "activation_key": {}
}
200
{
  "service_level": null,
  "content_overrides": [],
  "id": 568942081,
  "name": "Simple Activation Key",
  "description": "A simple activation key.",
  "unlimited_hosts": true,
  "content_view_environment_labels": "library_default_view_library",
  "usage_count": 0,
  "user_id": null,
  "max_hosts": null,
  "release_version": null,
  "purpose_usage": null,
  "purpose_role": null,
  "organization_id": 114267492,
  "organization": {
    "name": "Empty Organization",
    "label": "Empty_Organization",
    "id": 114267492
  },
  "created_at": "2026-11-12 11:01:00 UTC",
  "updated_at": "2026-11-12 11:01:00 UTC",
  "content_view_environments": [
    {
      "content_view": {
        "id": 30237652,
        "name": "ACME Default ContentView",
        "label": "org_default_label",
        "composite": false,
        "rolling": false,
        "content_view_version": "1.0",
        "content_view_version_id": 840492357,
        "content_view_version_latest": true,
        "content_view_default": true,
        "content_view_environment_id": 361865081
      },
      "lifecycle_environment": {
        "id": 562075838,
        "name": "Library",
        "label": "library_label",
        "lifecycle_environment_library": true
      },
      "label": "library_default_view_library"
    }
  ],
  "host_collections": [],
  "multi_content_view_environment": false,
  "permissions": {
    "view_activation_keys": true,
    "edit_activation_keys": true,
    "destroy_activation_keys": true
  }
}

Params

Param name Description
id
required

ID of the activation key

Validations:

  • Must be a number.

content_overrides
optional

Array of Content override parameters to be added in bulk

Validations:

  • Must be an Array of nested elements

content_overrides[content_label]
required

Label of the content

Validations:

  • String

content_overrides[value]
optional

Override value. Provide a boolean value if name is ‘enabled’

Validations:

  • String

content_overrides[name]
optional

Override parameter key or name. Note if name is not provided the default name will be ‘enabled’

Validations:

  • String

content_overrides[remove]
optional

Set true to remove an override and reset it to ‘default’

Validations:

  • Must be one of: true, false, 1, 0.


GET /katello/api/activation_keys/:id/product_content
Show content available for an activation key

Params

Param name Description
id
required

ID of the activation key

Validations:

  • String

content_access_mode_env
optional

Limit content to just that available in the activation key’s content view version

Validations:

  • Must be one of: true, false, 1, 0.

search
optional

Search string

Validations:

  • String

page
optional

Page number, starting at 1

Validations:

  • Must be a number.

per_page
optional

Number of results per page to return

Validations:

  • Must be a number.

order
optional

Sort field and order, eg. ‘id DESC’

Validations:

  • String

full_result
optional

Whether or not to show all results

Validations:

  • Must be one of: true, false, 1, 0.

sort_by
optional

Field to sort the results on

Validations:

  • String

sort_order
optional

How to order the sorted results (e.g. ASC for ascending)

Validations:

  • String